.hosting {
    overflow: hidden;

    & .developer-section {
        min-height: 500px;
        padding: 150px var(--hosting-hero-section-inline-padding) 50px;
        background-color: var(--dark2-color);
        overflow: hidden;
        position: relative;

        &::after {
            content: "";
            width: 100%;
            height: 100%;
            position: absolute;
            top: 0px;
            left: 0;
            z-index: 1;
            opacity: 0.2;
            background-image: url(../../images/website/hosting/hero-bg.png);
        }

        & .inner {
            & .image {
                top: 0;
            }
        }
    }

    & .programming-section {
        padding: 50px var(--main-inline-padding);
        position: relative;

        &::after {
            content: "";
            width: 100%;
            height: 100%;
            position: absolute;
            top: 0;
            left: 0;
            z-index: -2;
            opacity: 0.5;
            background-image: url(../../images/website/transparent-logo.png);
            background-position: top left;
            background-size: 3.5%;
            background-repeat: repeat;
        }

        & .website {
            height: auto !important;
            max-height: 500px !important;
            text-align: start;

            &:hover {
                border-color: var(--middle-green-color);

                & .image {
                    border-color: var(--middle-green-color);
                    box-shadow: 0 0 0 5px var(--light-green-color);
                }
            }

            & .image {
                width: 90px;
                height: 90px;
                padding: 20px;
                margin: 0 0 20px 0;
                border-radius: 10px;
                border: 1px solid var(--dark-muted-color);

                &::after {
                    display: none;
                }
            }

            & .title {
                margin-bottom: 5px;
            }

            & .description {
                margin: 0;
                font-size: 13px;
            }
        }
    }

    & .feature-section {
        padding-inline: var(--hosting-features-section-inline-padding);

        & .title {
            .title-badge::before {
                transform: skewX(-12deg);
            }
        }
    }

    & .packages-sections {
        padding: 50px var(--hosting-packages-section-inline-padding);
        background-color: var(--light-color);
    }

    & .packages-sections .main-popular {
        position: absolute;
        top: -8px;
        left: 10px;
        font-size: 12px;
        padding: 5px 10px;
        font-weight: bold;
        border-radius: 7px;
        transition: 0.1s linear;
        color: var(--light-color);
        background-color: var(--color-red-600);
        box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    }

    & .packages-sections .package-card {
        padding-top: 20px;
        border-radius: 10px;
        position: relative;
        opacity: 0;
        visibility: hidden;
        transition: 0.2s ease;
        transform: translateY(15px);
        background-color: var(--light-color);

        &.card-border {
            border: 1px solid var(--light-muted-color);
        }

        &.active {
            opacity: 1;
            visibility: visible;
            transform: translateY(0);
            box-shadow: 0 18px 60px rgba(0, 0, 0, 0.05);
        }

        &:hover {
            z-index: 10;
            transform: translateY(-2px) scale(1.01);
        }
    }

    & .packages-sections .package-card .image {
        width: 50px;
        height: 50px;
        margin: 0 auto 20px;
        border-radius: 10px;
    }

    & .packages-sections .package-card .main-price {
        font-size: 36px;
    }

    & .packages-sections .package-card .main-label {
        position: relative;

        &::after {
            content: attr(data-label);
            position: absolute;
            top: -100%;
            left: 50%;
            opacity: 0;
            visibility: hidden;
            font-size: 12px;
            padding: 7px 10px;
            border-radius: 5px;
            white-space: nowrap;
            pointer-events: none;
            color: var(--light-color);
            transform: translate(-50%, -50px);
            background-color: var(--dark-color);
            transition:
                opacity 0.3s ease,
                transform 0.3s ease;
        }

        &::before {
            content: "";
            position: absolute;
            top: -100%;
            left: 50%;
            transform: translate(-50%, -20px) rotate(180deg);
            border-width: 10px;
            border-style: solid;
            border-color: transparent transparent var(--dark-color) transparent;
            opacity: 0;
            visibility: hidden;
            transition:
                opacity 0.3s ease,
                transform 0.3s ease;
        }

        &:hover::after {
            opacity: 0.8;
            z-index: 50;
            visibility: visible;
            transform: translate(-50%, -30px);
        }

        &:hover::before {
            opacity: 0.8;
            visibility: visible;
            transform: translate(-50%, -1px) rotate(180deg);
        }
    }

    & .packages-sections .package-card .feature-card svg {
        width: 15px;
        height: 15px;
        display: flex;
        border-radius: 50px;
        align-items: center;
        justify-content: center;
        color: var(--light-color);
        background-color: var(--dark-color);
    }

    & .packages-sections .package-card .main-button {
        border: 1px solid var(--light-muted-color);

        &:hover {
            transform: translateY(-3px);
            box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
        }
    }

    .filter {
        margin-bottom: 15px;
    }

    .filter-btn-packages {
        background-color: #f3f4f6;
    }

    .filter-btn-package {
        width: 100%;
        padding: 15px 8px;
        border-radius: 10px;
        transition: 0.1s ease;
        border: none;
        box-shadow: none;

        & .image {
            width: 35px;
            height: 35px;
        }

        &.active {
            background-color: var(--light-color);
            box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
        }

        & i,
        & svg {
            font-size: 10px;
        }
    }

    @media (max-width: 1180px) {
        & .packages-sections {
            padding: 50px var(--small-inline-padding);
        }

        & .packages-sections .package-card .package-title {
            font-size: 16px;
        }

        & .packages-sections .package-card .main-price {
            font-size: 26px;
        }
    }

    .ready-hosting-sections {
        height: 350px;
        background-image: url(../../images/website/hosting/ready-hosting-bg.png);
        position: relative;
        display: flex;
        align-items: center;
        justify-content: center;
        overflow: hidden;

        &::before {
            content: "";
            position: absolute;
            inset: 0;
            z-index: 1;
            opacity: 0.85;
            filter: saturate(1.1);
            background-color: var(--main-color);
        }

        & .content {
            color: var(--light-color);
            position: relative;
            z-index: 2;

            & p {
                font-size: 24px;
            }

            & h1 {
                font-size: 36px;
            }
        }

        & .btn-outline-white {
            display: inline-block;
            padding: 10px 35px;
            border-radius: 12px;
            color: var(--light-color);
            transition: all 0.3s ease;
            border: 1px solid var(--light-color);
        }

        & .btn-outline-white:hover {
            color: var(--main-color);
            background: var(--light-color);
        }

        & .ready-actions {
            & a {
                transition: 0.1s ease;

                &:hover {
                    transform: translateY(-3px) scale(1.01);
                    box-shadow: 0 4px 15px rgba(255, 255, 255, 0.3);
                }
            }
        }
    }

    .easy-management {
        padding: 100px var(--easy-management-section-inline-padding);
        position: relative;
        background: #fafafa;

        &:after {
            content: "";
            position: absolute;
            width: 100%;
            height: 100%;
            top: 0;
            left: 0;
            z-index: 1;
            opacity: 0.5;
            background-image: url(../../images/website/reviews-bg.jpg);
            background-position: top left;
            background-size: 15%;
            background-repeat: repeat;
        }

        & > div {
            gap: 80px;
            position: relative;
            z-index: 50;
        }

        & .image-container {
            width: 50%;
            display: flex;
            overflow: hidden;
            padding-block: 20px;
            justify-content: flex-start;
            /* background-color: var(--light-color); */
        }

        & .image-container .image {
            width: 90%;
            margin: auto;
            border-radius: 15px;
            padding-inline: 100px;
            box-shadow: 0 0 20px -2px rgba(0, 0, 0, 0.1);
        }

        & .text {
            flex: 1;
            padding-inline-end: 20px;

            & .badge {
                display: inline-block;
                padding: 4px 12px;
                border-radius: 50px;
                color: var(--main-color);
                position: relative;

                &::before {
                    content: "";
                    position: absolute;
                    inset: 0;
                    z-index: -1;
                    opacity: 0.5;
                    border-radius: inherit;
                    background-color: var(--color-blue-100);
                }
            }

            & h1 {
                font-size: 38px;
                margin-bottom: 16px;
                line-height: 1.2;
                text-wrap: balance;
                font-weight: 900;
            }

            & .descriptions {
                line-height: 2;
                font-size: 18px;
                color: var(--muted-color);
            }

            & a {
                display: inline-block;
                margin-top: 20px;
                padding: 10px 20px;
                border-radius: 10px;
                background-color: var(--light-main-color);

                &:hover {
                    background-color: var(--dark-color);
                }
            }
        }
    }

    .operations-systems-sections {
        background: #faf9f9;
        padding: 50px var(--operations-systems-section-inline-padding);

        .title {
            font-size: 28px;
        }

        .custom-background {
            padding: 50px 150px;
            background: var(--light-color);
        }

        .content {
            gap: 30px;
            display: grid;
            /* grid-template-columns: repeat(auto-fill, minmax(180px, 1fr)); */
            grid-template-columns: repeat(6, 1fr);
        }

        .system-card {
            padding: 15px;
            cursor: pointer;
            border-radius: 10px;
            transition: 0.1s ease;
            overflow: hidden;
            border: 1px solid #e5e7eb;
            box-shadow: 0 16px 30px rgba(17, 24, 39, 0.08);

            &::after {
                content: "";
                width: 100%;
                height: 200%;
                position: absolute;
                top: 50%;
                left: 50%;
                opacity: 0;
                background: linear-gradient(
                    90deg,
                    transparent 0%,
                    var(--light-color) 50%,
                    transparent 100%
                );
                transform: translateX(-100%) translateY(-100%) rotate(45deg);
                pointer-events: none;
            }

            &:hover {
                transform: translateY(-2px);

                &::after {
                    animation: shineLogo 1s ease-in-out forwards;
                }
            }

            &:hover {
                transform: translateY(-3px);
                box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
            }
        }

        .system-card .image {
            width: 50px;
            height: 50px;
            margin: 0 auto 20px;

            & img {
                object-fit: contain;
            }
        }

        .operating-systems-filter {
            & > button {
                font-size: 18px;

                &,
                &:hover,
                &.active {
                    border: none;
                    border-radius: 0;
                    box-shadow: none;
                }

                &.active {
                    color: var(--light-main-color);
                    border-bottom: 2px solid var(--light-main-color);
                }

                &::after {
                    display: none;
                }

                &:hover {
                    transform: translate(0);
                }
            }
        }
    }

    .dont-worry-sections {
        padding: 50px 30px;

        .text {
            .label {
                color: var(--light-main-color);
            }

            .heading {
                font-size: 45px;
                margin-block: 20px;
            }

            .descriptions {
                width: 90%;
                font-size: 18px;
                line-height: 2;
                margin-bottom: 40px;
                color: var(--muted-color);
            }

            a {
                border-radius: 10px;
                filter: saturate(1.5);

                &:hover {
                    background-color: var(--main-color);
                }
            }
        }

        .image {
            width: 60%;
            box-shadow: 0 0px 15px -2px rgba(0, 0, 0, 0.1);
        }
    }

    .main-dont-worry-sections {
        padding-block: 70px;
        padding-inline: var(--dont-worry-hosting-section-inline-padding);
        position: relative;
        background-color: var(--dont-worry-background-color);

        &::after {
            content: "";
            width: 100%;
            height: 100%;
            position: absolute;
            top: 0;
            left: 0;
            z-index: -1;
            opacity: 0.9;
            background-image: url(../../images/website/reviews-bg.jpg);
        }

        .content {
            padding-block: 50px;
            background-color: var(--light-color);
        }
    }

    @media (max-width: 1440px) {
        .feature-section {
            padding-inline: calc(
                var(--hosting-features-section-inline-padding) / 2
            );
        }
    }

    @media (max-width: 1180px) {
        .feature-section {
            padding-inline: calc(
                var(--hosting-features-section-inline-padding) / 4
            );
        }

        .dont-worry-sections {
            padding-inline: calc(
                var(--dont-worry-hosting-section-inline-padding) / 2
            );
        }
    }

    @media (max-width: 1080px) {
        .dont-worry-sections {
            padding-inline: calc(
                var(--dont-worry-hosting-section-inline-padding) / 3
            );
        }
    }

    @media (max-width: 992px) {
        .feature-section {
            padding-inline: var(--small-inline-padding);
        }

        .operations-systems-sections {
            .content {
                gap: 15px;
                justify-content: center;
                grid-template-columns: repeat(auto-fit, minmax(130px, 1fr));

                .system-card {
                    min-width: 110px;
                }
            }
        }
    }

    @media (max-width: 768px) {
        .dont-worry-sections {
            padding-inline: calc(
                var(--dont-worry-hosting-section-inline-padding) / 4
            );
        }

        .easy-management-sections {
            padding-inline: calc(
                var(--easy-management-section-inline-padding) / 4
            );
        }

        .operations-systems-sections {
            padding: 50px
                calc(var(--operations-systems-section-inline-padding) / 2);
        }
    }

    @media (max-width: 435px) {
        .dont-worry-sections {
            padding-inline: var(--small-inline-padding);
        }

        .easy-management-sections {
            padding-inline: var(--small-inline-padding);
        }

        .operations-systems-sections {
            padding: 50px var(--small-inline-padding);
        }
    }

    .dont-worry-sections:not(.support-sections) {
        .text {
            padding-inline-start: 30px;

            .heading {
                text-wrap: balance;
            }
        }
    }

    .support-sections {
        padding: 50px var(--support-hosting-section-inline-padding);

        .content {
            gap: 100px;
        }

        .text {
            flex: 1;

            .heading {
                font-size: 42px;
            }

            .descriptions {
                width: 100%;
                font-size: 18px;
            }
        }

        .image {
            width: 40%;
            position: relative;
            left: 50px;
            box-shadow: 0 7px 27px 4px rgba(0, 0, 0, 0.1);
        }
    }

    .support-stats {
        margin-top: 50px;
        text-align: center;

        .support-stat {
            padding: 20px;
            border-radius: 10px;
            border: 1px solid var(--dark-muted-color);
            box-shadow: 0 0px 15px -2px rgba(0, 0, 0, 0.1);
            transition: all 0.1s ease;

            &:hover {
                transform: translateY(-3px);
                border-color: var(--light-main-color);
                box-shadow: 0 0px 20px -2px rgba(0, 0, 0, 0.2);
            }
        }

        .support-stat .support-stat-value {
            font-size: 36px;
        }

        .support-stat .support-stat-icon,
        .support-stat .support-stat-value {
            color: var(--main-color);
        }

        .support-stat .support-stat-icon {
            width: 40px;
            height: 40px;
            margin: 0 auto;
            display: flex;
            align-items: center;
            justify-content: center;
            border-radius: 50%;
            background-color: var(--color-blue-100);
        }
    }
}

@media (max-width: 1080px) {
    .hosting {
        .filter-btn-package span {
            font-size: 14px;
        }

        .dont-worry-sections {
            .text {
                .heading {
                    font-size: 32px;
                }

                .descriptions {
                    width: 90%;
                    margin: 0 auto;
                    margin-bottom: 30px;
                }
            }

            .image {
                width: 50%;
            }
        }
    }
}

@media (max-width: 992px) {
    .hosting {
        .filter-btn-packages {
            display: grid;
            grid-template-columns: repeat(2, 1fr);

            & > button {
                height: 100%;
                min-height: 50px;
            }
        }

        .easy-management {
            & > div {
                flex-direction: column;
            }

            & .image-container .image {
                width: 100%;
                padding: 30px 60px;
            }

            & .text {
                & h1 {
                    font-size: 28px;
                }
            }
        }

        .dont-worry-sections {
            .content {
                flex-direction: column-reverse;
                text-align: center;
            }

            .text {
                .descriptions {
                    width: 100%;
                }
            }

            .image {
                width: 50%;
            }
        }
    }
}

@media (max-width: 768px) {
    .hosting {
        .ready-hosting-sections {
            & .content {
                & p {
                    font-size: 18px;
                }

                & h1 {
                    font-size: 30px;
                }
            }
        }

        .easy-management {
            & .image-container {
                width: 70%;
            }
        }

        .dont-worry-sections {
            .text {
                .heading {
                    font-size: 24px;
                    text-wrap: balance;
                }

                .descriptions {
                    width: 90%;
                }

                a {
                    padding: 9px 20px;
                }
            }
        }
    }
}

@media (max-width: 600px) {
    .hosting {
        .filter-btn-package {
            & .image {
                width: 30px;
                height: 30px;
            }

            & span {
                font-size: 10px;
            }
        }
    }
}

@media (max-width: 425px) {
    .hosting {
        .ready-hosting-sections {
            height: 200px;

            & .content {
                & p {
                    font-size: 10px;
                }

                & h1 {
                    font-size: 20px;
                    margin-bottom: 20px;
                }
            }

            & .ready-actions {
                & a {
                    font-size: 12px;
                    padding: 5px 20px;
                    border-radius: 6px;
                }
            }
        }

        .filter-btn-packages {
            & > button {
                min-height: 30px;
            }
        }

        .filter-btn-package {
            & .image {
                width: 25px;
                height: 25px;
            }

            & span {
                font-size: 8px;
            }

            & > button {
                padding-block: 5px;
                border-radius: 6px;
            }
        }

        & .easy-management {
            padding: 40px var(--inline-padding);

            & > div {
                gap: 40px;
            }

            & .image-container .image {
                padding: 20px 40px;
            }

            & .text {
                & h1 {
                    font-size: 14px;
                }

                & .descriptions {
                    font-size: 12px;
                }
            }
        }

        .operations-systems-sections {
            .system-card .image {
                width: 40px;
                height: 40px;
            }

            .content {
                grid-template-columns: repeat(2, 1fr);
            }
        }

        .dont-worry-sections {
            .text {
                .heading {
                    font-size: 16px;
                }

                .descriptions {
                    width: 100%;
                    font-size: 12px;
                }
            }

            .image {
                width: 80%;
            }
        }
    }
}
